[问题]ubuntu没有/etc/inittab这个文件吗?

为当前最终发行版之前的所有版本提供支持
回复
头像
kwindva
帖子: 562
注册时间: 2007-05-05 23:30
送出感谢: 0
接收感谢: 0
联系:

[问题]ubuntu没有/etc/inittab这个文件吗?

#1

帖子 kwindva » 2007-11-24 17:14

那么启动模式是在哪儿设置的?
还有那些tty的设置在哪?
头像
windwiny
帖子: 2254
注册时间: 2007-03-13 17:26
送出感谢: 0
接收感谢: 1 次

#2

帖子 windwiny » 2007-11-24 20:38

/etc/event
头像
arabian
帖子: 91
注册时间: 2007-10-29 17:29
送出感谢: 0
接收感谢: 0

#3

帖子 arabian » 2007-11-24 21:57

inittab可以自己手动建一个。
头像
冲浪板
论坛版主
帖子: 7467
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#4

帖子 冲浪板 » 2007-11-25 10:49

ls啊,自己建立的有啥子用哈;
用event代替了?

越来越没“学”头鸟,总是变化丫,知识积累问题~~~
头像
lonelyTeers
帖子: 37
注册时间: 2006-09-06 20:41
送出感谢: 0
接收感谢: 0

#5

帖子 lonelyTeers » 2007-12-06 23:41

windwiny 写了:/etc/event
/etc/event 里的脚本是说每个级别应该作什么,但是没有说默认级别是多少,也没法快速设置(除非改脚本)
todaypuzzleme
帖子: 79
注册时间: 2007-06-08 22:43
送出感谢: 0
接收感谢: 0

#6

帖子 todaypuzzleme » 2007-12-07 10:19

到7.04就没这文件了,我现在还在用dapper,不知道feisty以上版本是怎么修改启动级别的,有谁知道 :lol:
头像
davix
帖子: 274
注册时间: 2005-10-04 16:16
来自: Beijing
送出感谢: 0
接收感谢: 2 次

#7

帖子 davix » 2007-12-07 11:08

todaypuzzleme 写了:到7.04就没这文件了,我现在还在用dapper,不知道feisty以上版本是怎么修改启动级别的,有谁知道 :lol:
因为启用了新的管理方式upstart

看这里:http://upstart.ubuntu.com/
I'd love K* rather than G*,
just like *nix rather than win*.
Bug No. 1
图片
头像
arabian
帖子: 91
注册时间: 2007-10-29 17:29
送出感谢: 0
接收感谢: 0

#8

帖子 arabian » 2007-12-07 20:22

冲浪板 写了:ls啊,自己建立的有啥子用哈;
用event代替了?

越来越没“学”头鸟,总是变化丫,知识积累问题~~~
当然有用,去看一下/usr/share/doc/upstart/README.Debian.gz和/etc/event.d/rc-default就知道了,虽然默认没有inittab文件,但如果用户在/etc下自己建立一个inittab,upstart还是会去调用地。
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#9

帖子 aBiNg » 2007-12-07 20:28

aBiNg:~ ¶ update-rc.d --help

代码: 全选

usage: update-rc.d [-n] [-f] <basename> remove
       update-rc.d [-n] <basename> defaults|multiuser [NN | sNN kNN]
       update-rc.d [-n] <basename> start|stop NN runlvl [runlvl] [...] .
		-n: not really
		-f: force
XKXQXQXK
帖子: 5
注册时间: 2009-10-30 9:02
送出感谢: 0
接收感谢: 0

Re: [问题]ubuntu没有/etc/inittab这个文件吗?

#10

帖子 XKXQXQXK » 2009-11-04 8:49

可是应该怎么建一个inittab呢?
回复

回到 “老旧版本支持”